Welcome

Welcome to SigmaPlot 2001!

This Quick Tour is designed to help you quickly learn how to create graphs using SigmaPlot 2001. You'll learn how to organize data into a worksheet, select the data columns to graph, and select graph types and styles. You'll also learn how to modify graph properties.

These quick and easy lessons take you through a step-by-step process. By the end, you'll create a graph page that looks like this!

Let's get started!


Before You Begin

This tutorial contains expandable text that includes helpful tips and tricks and previews of graphs!

Before You Begin...

There are two ways to view this tutorial:

  • View the tutorial online (advised).

  • Print the tutorial.

To view Getting Started online:

  • The table of contents is an expandable list of lessons. To view the Tutorial from the table of contents, click the Contents tab and then click a page to view the corresponding lesson in the right-hand pane.

  • To hide the table of contents to free up more space on the screen, click Hide.

  • Click the text that looks like this.

  • To locate every occurrence of a word or phrase in the Tutorial, click the Search tab, and then type the word.

To print the tutorial:

  1. Click the Print button on your browser's toolbar.

    The Print dialog box appears, displaying one or more options for printing.

  2. Select Print everything contained in the current heading to print everything contained on the right-hand side.

Now it's time to buck up and begin Lesson One


Basic Lessons

To change the bar widths:

  1. Double-click the graph.

    The Graph Properties dialog box appears.

  2. Click Plots tab.

  3. Select Widths from the Settings For list.

  4. In the drop-down list that appears in the Bar Thickness group box, enter 95.0%.

  5. From the Align drop-down list, select Left.

  6. Click OK.

    Does your graph match the example above?

To modify the worksheet:

  1. Click the View Data [image] button on the toolbar to activate the worksheet.

    The worksheet appears.

  2. Select the cell that contains the text Coyotes, and replace it with Koala Bears.

  3. Press Tab.

    The cursor moves to the cell to its immediate right.

  4. Replace the value 38 with 5.

  5. Press Enter.

  6. Click the View Page [image] button on the toolbar to view the graph.

To create the pie chart:

  1. Select column 2 in the worksheet.

  2. Click the Pie Chart button from the 2D toolbar.

    The Graph Wizard - Create Graph dialog box appears.

  3. Click Finish.

    A pie chart appears smack dab on top of the bar chart.

Basic Lesson: A Day at the Zoo

Here's SigmaPlot!

When you first start SigmaPlot, the SigmaPlot desktop appears with a notebook window and an empty worksheet ready for data. Click anywhere on the notebook window or the worksheet to bring the different items into view.

Now here is your assignment. Your task is simple. You want to create a chart or graph of your favorite animals that you saw during your last trip to the zoo. Your graph will include your top five favorite animals, and how many of each that you saw. You'll decide what type of graph to create momentarily. First, it's time to enter your collected data.

Entering Data into a SigmaPlot Worksheet

For 2D graphs, you organize data by columns. You place the X values of the graph in one column, and the corresponding Y values in a second column.

Three methods to enter data:

  • Manually enter the data into the worksheet.

  • Cut and paste from another worksheet or spreadsheet.

  • Import the data from another worksheet, spreadsheet, even a text file.

For this example, we'll use the first method. We'll manually enter the data.

To enter the data:

  1. Click in the cell at row 1, column 1 of the worksheet.

  2. Type Tigers, then press Enter.

    The worksheet cursor moves down one row.

  3. In the next cell, type Bears, then press Enter.

    Again, the worksheet cursor moves down one row.

  4. Continue entering the rest of the data shown in the figure below. When you are finished with one column, use your mouse to move the cursor to the first cell of column two to continue entering the data.

Plotting Graph Data

Now that you've entered the data, plotting it is just a few clicks away. But what type of graph? That's a good question. We'll start off with a simple bar chart.

To create a bar chart:

  1. First, drag the mouse over the two column titles to select both columns of data.

    With two columns of data now selected in the worksheet, creating a bar chart is very easy.

  2. On the left hand side of SigmaPlot are a couple of graph type tool bars.

    Find the 2D toolbar (the toolbar farthest to the left) and click the Vertical Bar Chart [image] button.

    The Styles toolbar appears.

  3. Click the Simple Vertical Bar button.

    The Graph Wizard - Create Graph dialog box appears with two data format choices:

    • Single Y

    • XY Pair

  4. Now look at your worksheet. Notice how column 1 contains the different kinds of animals, and column 2 contains the quantity of each animal.

    You want the contents of column 1 to appear as labels on your graph, so select XY Pair from the Data Format list. The contents of column 1 will appear along the X axis as labels, and the contents of column 2 will appear as the bars (Y values).

  5. Click Next.

    Since you already selected the data columns prior to opening the Graph Wizard, the X and Bar 1 columns appear already assigned in the Selected Columns list.

  6. Now all you have to do is click Finish to create the graph.

    Notice how the animal names that you placed in column 1 appear as labels on the X axis, and that the values you entered in column 2 appear as the height of each bar. Also, notice how a legend appears on the lower left hand corner of the graph.

Modifying the Graph

That's a nice looking graph all right, but you have to admit, that default bar color of gray is pretty. Pretty boring, that is. Why not spruce it up a bit?

You make changes to all SigmaPlot graphs by using the Graph Properties dialog box. From the Graph Properties dialog box, you can modify graph colors, symbols, lines, axes, legends, and text.

Tip: To open the Graph Properties dialog box, you can:

  • Click the Graph Properties toolbar [image] button.

  • Double-click anywhere on the graph.

A benefit of double-clicking an item of the graph is that the Graph Properties dialog box opens to a tab that directly corresponds to modifying that item.

To change the bar color:

  1. Click an actual fill of the bar chart.

    A hand appears next to the pointer indicating that the bar chart is selected.

  2. Now that you've selected the graph, double-click it.

    Because you double-clicked the bar chart fill color, the Graph Properties dialog box appears with the Plots tab already in view, and with Fills selected from the Settings For scroll-down list.

  3. As you can see, the color displayed in the Color drop-down list is Gray. Let's pick something more exciting, more dynamic, something that says, "I'm really excited about the animals I saw at the zoo." How about a rainbow?

    From the Color drop-down list, select Rainbow (muted).

  4. Click OK.

    The Graph Properties dialog box closes, and now the bars that were once that dull gray are a colorful rainbow scheme.

    As you can see, the legend also corresponds to your graph.

Graph Properties: A Test

Now is your chance to test your Graph Properties dialog box knowledge.

  1. Open the Graph Properties dialog box.

  2. Change the bar widths to 95%.

    Tip: You can find the Width controls in the Settings For list.

  3. Click Apply.

    This applies the changes you've made without closing the Graph Properties dialog box. As you experiment more with modifying graphs using Graph Properties, you will find this dialog box feature incredibly useful.

  4. And now, for some extra credit points, see if you can align the bar so that it is right aligned with the data points, or in other words, so that the actual center point of the bar is to the left of the bar.

    Here's what the graph should look like.

    Here's some help?

Ctrl-Z: Your Friend

This graph is looking really silly. Let's change it back to how it was.

The easiest way to revert back to your original settings is by using that old standby, the Undo command. The Ctrl-Z keyboard shortcut method works best. Try it.

Changing the Graph Title

Now you've got your graph, you've modified the bars, you've changed them back (if you have any taste), but there's something that's just not right. That title just doesn't describe your data. Let's change it.

To replace the graph title with more meaningful information:

  1. Double-click the graph's title 2D Graph1.

    The Edit Text dialog box appears with the selected label displayed and highlighted.

  2. Type My Favorite Animals at the Zoo in place of the highlighted text.

  3. Center the title by placing the cursor anywhere in the text, and then click the Center [image] button.

  4. Click OK.

    The Edit Text dialog box closes, and the graph appears with its new title perfectly centered.

Modifying the Data

Looking over your graph, you're feeling quite satisfied. Of course, you know that you can change the axis titles, if you want, by using the same method you used to change the graph title, but you decide to do that later, on your own time.

Yet, there's something that's not right. Why is that elephant bar so short? You saw 30 elephants, not three. You realize you have made...

...a Data Entry Error!

Horrors! Does this mean you have to recreate the graph?!

Of course not. With SigmaPlot, you can change the data in the worksheet at any time. It's a very easy thing to do, and the graph will reflect your modifications immediately.

To make revisions to your data:

  1. Activate the worksheet by clicking the View Data [image] button on the toolbar.

    The worksheet appears.

  2. Find Elephants, since that's the data point you want to change, in column 1.

  3. Select the adjacent cell in column 2.

    The cell is highlighted.

  4. Type the value 30 and press Enter.

  5. Click the View Page [image] button on the toolbar to view the graph.

    There, that's better. The Elephants bar now reaches up to 30.

Modifying the Data: Another Test

    It's time for another test. Were coyotes REALLY on your favorite five list? What were you thinking? Coyotes are nice, but what you REALLY meant to include in your graph were those cute Koala bears, and there were only five of them.

    See if you can replace Coyotes in the worksheet with Koala Bears, and change the value to 5:

    Need some help?

Labeling Data Columns

Sometimes, keeping track of your data can be a confusing task. That's when labeling data columns is a good idea. For example, you might later open your GettingStarted notebook file, view the worksheet, and have no idea what those data points mean.

To rename worksheet columns:

  1. On the worksheet, double-click the column heading for column 1.

    The entire column is selected. Although the column heading is completely black, it is ready for a new column title.

  2. Type Zoo Animals, then press Enter.

    The new column title appears in the column heading, prefaced by the column number 1.

Just a Quick Quiz...

Now see if you can change the name of column 2 to read "Quantity." When you're finished, your worksheet should look like this.

Saving the Notebook File

You've certainly done a lot of work. Better to save it all, rather than risk losing all that work in the next power outage.

When you save in SigmaPlot, you don't just save individual graphs. You save all the components in the notebook in a notebook file with a .jnb extension.

To save your notebook:

  1. Click the Save button [image] in the toolbar.

    Since this is your first time saving the notebook, the Save As dialog box appears.

  2. Using the list of folders in the Save In drop-down list, select the Samples folder located in the default SigmaPlot folder.

  3. Type GettingStarted in the File Name field.

  4. Click Save.

    The Save As dialog box closes, and GettingStarted appears in the titlebar of the notebook.

Review

So far, you've covered a lot.

Let's review. You have:

  • Entered data into a worksheet.

  • Created a simple bar chart.

  • Changed the fill color and bar widths using the Graph Properties dialog box.

  • Renamed the graph title.

  • Modified the data.

  • Labeled the data columns.

  • Saved the notebook.

If that's not a full day, then you're a real animal! But you're not done yet!

Adding a Plot to the Page

After all that work, you perfectionist you, you realize a bar chart isn't what you wanted to make at all. Or maybe it is. Well, the good news is, you can create a second graph on the same page.

See if you can create a pie chart using the same technique that you used to create a bar chart.

Pie chart hints:

  • The Pie Chart graph type appears on the graph type toolbar, on the left side of the SigmaPlot desktop.

  • Remember when you choose a data column, it should be the Quantity column, as that is the column that contains the data points.

  • You can choose a data column in the Graph Wizard by clicking the column in the worksheet.

When all is said and done, your graph page should contain your original bar chart, and then on top of that, a pie chart. It should look something like this.

Would you like some help?

Why, that's a complete mess!

Arranging Graphs on the Page

The good news is, arranging graphs on the page is now as simple as choosing a menu command.

To arrange the graphs:

  1. From the Format menu, select Arrange Graphs.

    The Arrange Graphs dialog box appears.

    The Layouts list contains all sorts of different layouts. As you select each one, a preview of the layout appears in the Preview box.

  2. Select 2 up, 3.5" x 3.5" landscape.

  3. Click Apply.

    The graph page appears with the new layout.

  4. If you weren't happy with this layout, you could choose another one from the Layout list, and click Apply again, but you are incredibly happy with this one, so click Close to close the Arrange Graphs dialog box.

    Now take a moment to appraise this wondrous SigmaPlot feature. Notice how the two graphs appear perfectly in line with each other, and are perfectly centered on the page, with such minimal effort. It would take you twenty minutes to get the page to look that good.

    Tip: The layouts that appear in the Layout list are all stored in the Layout.jnt template file. You can align up to six graphs on a page using the Layout.jnt template, even more if you create a custom layout yourself.

Renaming Notebook Sections

You'll be creating another graph (this one is much more complicated) later on in the advanced lessons, and then you'll add it to the GettingStarted notebook, but in a new section. To spare you some confusion, rename this notebook section so that the next time you open it, you'll know exactly what it contains.

To rename the notebook section:

  1. Bring the notebook window forward by clicking anywhere in it.

  2. Click the notebook section (it is labeled Section 1).

  3. Click the section a second time.

    The text appears in a box, and is highlighted.

  4. Type Favorite Zoo Animals.

  5. Press Enter.

    You've successfully renamed the section. Now, the next time that you open the GettingStarted.jnb file, you won't spend anytime scratching your head wondering what is in that section.

    Tip: Don't forget to save your work, and to save often! The easiest way? Press CTRL+S. The additions that you made to the graph are saved.

Printing the Graph

To print the page using the default settings, click the Print [image] button.

Summary

Congratulations! You've covered many of the SigmaPlot fundamentals. You have successfully learned how to:

  • Enter data into a worksheet.

  • Create a simple bar chart.

  • Modify the bar chart using the Graph Properties dialog box.

  • Modify the data interactively.

  • Label notebook columns.

  • Add a plot to a page.

  • Arrange the graphs.

  • Save the notebook.

  • Print the graph.

In the Advanced Lesson, you'll import some real world data and create a scatter plot with asymmetrical error bars. It would probably be very safe to say that at this point you will do some very complicated things.


Butterfly Wingspans

  1. Double-click the graph's title.

    The Edit Text dialog box appears with the selected label displayed and highlighted.

  2. Type "Quartile Plot Representing the Wingspans of 5 Species of Butterfly" in place of the highlighted text.

  3. Center the title by placing the cursor anywhere in the text, and then click the Center button.

  4. Click OK.

  5. The Edit Text dialog box closes, and the graph appears with its new title.

  1. In column 6 of the worksheet, beginning with the second row, enter the names of the data columns, in order. In the first row, enter a double-dash (--).

    Tip: Enter the column titles beginning with the second row so that the tick label begins at the first tick label on the X axis, rather than at 0.

  2. View the graph page.

  3. Double-click a tick label on the X axis.

    The Graph Properties dialog box appears.

  4. Click the Axes tab, and select Tick Label from the Settings For list.

  5. Select (Column 6) from the Type drop-down list.

  6. Click OK.

    The Graph Properties dialog box closes, and the graph appears with new tick labels.

  1. Select a tick label on the graph.

  2. From the Format menu, click Text Properties.

    The Text Properties dialog box appears.

  3. Click the Paragraph tab.

  4. Select 20 degrees from the Rotation drop-down list.

  5. Click OK.

    The graph appears with its tick labels rotated at 20 degrees. Now you can read the tick labels, almost...

  1. Select "X Data" on the graph.

  2. Drag it to a location so you can read the tick labels.

  3. While you're at it, drag the legend so it's out of the way, too.

Advanced Lesson: Presenting a Quartile Plot on the Web

While you were at the zoo, you visited the Butterfly Exhibit. In this Exhibit were hundreds upon hundreds of butterflies collected from all over the world. The colors of their wings were quite stunning. There you met Dr. Franz Blauchman, a research scientist there, who was in a bit of a quandary.

"Look," he says to you, frantically, shaking copies of his Excel spreadsheets. "I have collected all of this data. I need to create a publication ready graph, something that shows the variance in wing lengths of five different butterfly species, possibly something viewable on the Internet. WHAT am I going to do?"

You console Dr. Blauchman, because you realize that you have SigmaPlot, the world leader in publication quality graphs.

"I think I have just what you're looking for," you tell Dr. Blauchman.

And just how do you intend to help Dr. Blauchman? Using your Advanced SigmaPlot skills, you will:

  • Transfer data from an Excel Spreadsheet into SigmaPlot.

  • Create a quartile plot of Dr. Blauchman's data.

  • Create a web publication quality graph and then display it, proudly, in Internet Explorer version 5.01 or higher.

Transferring Data from an Excel Spreadsheet

Since you handily thought to bring your laptop computer with SigmaPlot installed, you tell Dr. Blauchman that all you'll need is the Excel file, and you can create this asymmetrical error bar plot straight away.

Dr. Blauchman hands you the floppy disk, and you open SigmaPlot and the Excel file in Excel on your computer.

Using Microsoft Excel, open Butterflydata.xls now, which is located in the Program Files/SigmaPlot/SPW7 directory.

When you view Dr. Blauchman's Excel file, what you see is this.

How are you going to get this data into SigmaPlot?

Importing vs. Copy and Paste

There are two ways to transfer data from other sources:

  • Importing the data (yawn)

  • Copying and pasting the data (yeehaw!)

Although as a snazzy SigmaPlot user you are aware that you can import data using the Import Data dialog box, because there are only five columns of data to transfer you see that it would be much easier to simply copy and paste the data into SigmaPlot.

To copy and paste the data into SigmaPlot:

  1. Select all five columns in the Excel worksheet by dragging your mouse over them.

  2. Press Ctrl+C.

  3. Press Alt+Tab to go to SigmaPlot.

  4. Select the first cell (row 1, column 1) of the SigmaPlot worksheet.

  5. Press Ctrl+V.

    The data appears in the worksheet.

Promoting Rows to Column Titles

As you can see, the first row is comprised of the species names of the butterflies. If you were to graph this, this wouldn't do at all. It would be much better to move the each cell of the first row up to its corresponding column title.

To promote the row to column titles:

  1. Select the first row of the worksheet.

  2. From the Format menu, click Column and Row Titles.

    The Column and Row Titles dialog box appears.

  3. Select Delete promoted row.

    This removes the row you've just promoted from the worksheet, so the contents from each cell now only exist as column titles.

  4. Click Promote.

    The butterfly species names that once appeared in the first row now appear as column titles.

  5. Click Close to close the Column and Row Titles dialog box.

Widening Worksheet Columns

It appears that the information contained in the titles is too wide for the column titles themselves. Let's widen them, so we can view the column titles in their entirety.

To widen worksheet columns:

  1. From the Format menu click Cells.

    The Format Cells dialog box appears.

  2. Click the Rows and Columns tab.

  3. Select 20 Characters from the Column Width drop-down list.

  4. Select Apply to All Cells with Data.

  5. Click Apply.

    The column widths are now 20 characters wide, and you can see the titles in their entirety.

  6. Click OK to close the Format Cells dialog box.

Creating a Quartile Plot

Dr. Blauchman, though indeed impressed with your SigmaPlot worksheet prowess, is growing antsy.

"That's nice that you can modify the worksheet so," he says, his white-bearded face growing redder by the second. "But my graph? WHERE is my quartile plot?!" he yells.

"Um, what's a quartile plot?"

"You nitwit!" says Dr. Blauchman. "A quartile plot is an asymmetrical error bar plot that divides the total sample of a frequency distribution into four quarters. The median of the data is the data point, while the 75th and 25th percentiles of the data represent the upper and lower error bars!"

To create the quartile plot:

  1. Select all five columns of data.

  2. On the graph toolbar click Scatter Plot and then Simple Scatter - Error Bars.

    The Graph Wizard - Create Graph dialog box appears.

  3. Select Column Median from the Symbol Value drop-down list.

  4. Select 75th Percentile from the Error Calculation - Upper drop-down list.

  5. Select 25th Percentile from the Error Calculation - Lower drop-down list.

  6. Click Next.

    The Graph Wizard prompts you to select a data format.

  7. Select Many Y from the Data Format list, and click Next.

  8. Since you've already selected the data columns to plot, the appropriate column titles appear in the Selected Columns list. All you need to do now is click Finish.

    A quartile plot appears.

Prettying up the Page: A Quick Quiz

Before you show Dr. Blauchman how easy it is to export SigmaPlot graphs into an HTML format, first let's see how well you remember some of the graph formatting skills you learned in the Beginning Lessons.

See if you can:

  • Change the name of the graph title to read: "Quartile Plot Representing the Wingspans of 5 Species of Butterfly".

    I can't remember how. Can you tell me?

  • Add tick labels to represent each butterfly species along the X Axis.

    You NEVER told me how to do this. What do I do?

  • Rotate the tick labels by 20 degrees.

    And I KNOW you never told me how to do this!

  • Move the X Data axis label (it's in the way).

    This isn't so bad, but can you remind me anyway?

Exporting the Graph to HTML

And now for the moment you've been waiting for: exporting the graph into HTML.

To export the graph to HTML:

  1. Select the graph.

  2. From the File menu, click Save As Web Page.

The Export File dialog box appears.

  3. In the File name box, type ButterflyWingspans.

  4. Click Export.

The Export Web Graph dialog box appears.

The height and width as they appear in the dialog box are EXACTLY as you want them to be for this export. If this were REAL LIFE, you'd probably want to change them. You have, in fact, permission to do so, but by now you're probably trembling in anticipation over what's just around the bend.

  4. Select Exported Selected Only.

This is a useful option if you're exporting a graph on a page with many other graphs. If this option remains clear, you'll export the entire graph page.

Tip: Besides HTML, you can also export graphs in other high-resolution formats such as CMYK TIFF, EPS, JPEG, Metafiles, and more.

  5. Click OK.

Introducing the SigmaPlot WebViewer!

Now the moment you've been waiting for. In the directory in which you saved ButterflyWingspans.htm, you'll find three files:

  • ButterflyWingspans.htm

  • ButterflyWingspans.jnb

  • ButterflyWingspans.jpg

Using SigmaPlot's state-of-the-art technology, you can share your graphs on the Internet using the new SigmaPlot WebViewer. This is a free plug-in that common, ordinary people can download from the SPSS Science Web Site. You, on the other hand, as a SigmaPlot 7 Master, already have it installed on your machine. With it, you can view SigmaPlot graph files referenced in web documents as "live" graph objects.

With the WebViewer, you can:

  • Zoom in and out of graphs.

  • Grab and pan a zoomed view.

  • View the graph in its own window.

  • Print the graph in the web document at full resolution.

You also have the option of password protecting your data, so that all that is visible on the Internet is just the graph.

Let's take a gander at how a SigmaPlot graph would look like on the Internet. Open ButterflyWingspans.htm using your Internet Explorer, now.

Note: Currently, the WebViewer is only fully supported for Microsoft Internet Explorer 5.01 or higher. A screen-resolution JPEG file is automatically displayed for other browser applications and operating systems.

A SigmaPlot WebViewer graph as seen in Internet Explorer.

Right-click the graph to view all the options.

Dr. Blauchman screams, "You've done it!" He pushes you aside, and then with ease inserts ButterflyWingspans.htm as a web object using a web page editor of his choice.

"My problems are solved!," he screams, tears flowing triumphantly from his face. "All I need to do is import this graph using any HTML editor, do some final formatting, as I am quite anal retentive, and my presentation will be complete! You shall receive half my profits!"

Epilogue: Dr. Blauchman Wins the Nobel Peace Prize*

Did you ever imagine that you could not only create a graph of your favorite animals at the zoo, but then help a scientist not only create a quartile plot, but then solve his Web presentation problems, and then win the Nobel Peace Prize?*

Look what you've just done. You:

  • Transferred very complicated data to SigmaPlot from an Excel spreadsheet, and learned that's a very easy thing to do.

  • Promoted the first row of the data to column titles.

  • Formatted the worksheet.

  • Created a quartile plot.

  • Formatted the page, and you probably did that all by yourself.

  • Exported the graph into an HTML format and then viewed it using the new SigmaPlot WebViewer.

Yes, for many, such a dream might be a bit lofty. But for you, SigmaPlot Master, you can live this dream every day. Who knows what heights you'll conquer? Get on with it and change the world already.

*All names and experiments in this tutorial are purely fictional and are in no way intended to defame previous recipients of the Nobel Peace Prize.